Subject: RENEWAL FEES
From: "Crowell, Michael R - Lansing, MI" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "Rich, Lynn D - Dansville, MI" <[email-masked]>
Date: Fri, 3 Feb 2017 14:23:54 +0000

Hi Mike,

     I have included form 3621-A updated by me.  Also I have taken a snip of the price list with the new prices.  You can find the new prices as of January 22nd, 2017 at pe.usps.com.  On the right side under the heading "Prices" click on price list (notice 123) scroll down and click on "extra fees and services" under the Services & Fees heading,  scroll down to "Domestic Business Mailing Fees" and under "Annual Mailing Fees" you will see the annual fees for USPS Marketing Mail (used to be called Standard Mail) of $225.  I hope that this is sufficient.  Have a great weekend:)

Michael R Crowell
USPS-Mailing Requirements
4800 Collins Road
Lansing, Mi 48924
o-517-337-8862 f-517-337-8734